return {

    {
        "nvim-neo-tree/neo-tree.nvim",
        cmd = "Neotree",
        branch = "v2.x",
        dependencies = {
            "MunifTanjim/nui.nvim",
        },
        opts = {
            close_if_last_window = true,
            sources = {
                "filesystem",
                "buffers",
                "git_status",
            },
            source_selector = {
                winbar = true,
                content_layout = "center",
                sources = {
                    { source = "filesystem", display_name = require("config.icons").FolderClosed .. " File" },
                    { source = "buffers", display_name = require("config.icons").DefaultFile .. " Bufs" },
                    { source = "git_status", display_name = require("config.icons").Git .. " Git" },
                    { source = "diagnostics", display_name = require("config.icons").Diagnostic .. " Diagnostic" },
                },
            },
            default_component_configs = {
                indent = {
                    padding = 0,
                },
                icon = {
                    folder_closed = require("config.icons").FolderClosed,
                    folder_open = require("config.icons").FolderOpen,
                    folder_empty = require("config.icons").FolderEmpty,
                    folder_empty_open = require("config.icons").FolderEmpty,
                    default = require("config.icons").DefaultFile,
                },
            },
            filesystem = {
                follow_current_file = true,
                hijack_netrw_behavior = "open_current",
                use_libuv_file_watcher = true,
            },
        },
        keys = {
            {
                "<leader>fe",
                function()
                    require("neo-tree.command").execute({
                        toggle = true,
                    })
                end,
            },
        },
    },
}
